Bug 27261 - PatronSelfRegistrationBorrowerUnwantedField should exclude branchcode
Summary: PatronSelfRegistrationBorrowerUnwantedField should exclude branchcode
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords: Manual
Depends on: 22844 17364
Blocks: 27321
  Show dependency treegraph
 
Reported: 2020-12-17 15:38 UTC by Lucas Gass
Modified: 2021-02-11 21:35 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This patch excludes the ability to add branchcode to the PatronSelfRegistrationBorrowerUnwantedField system preference.
Version(s) released in:
21.05.00,20.11.03


Attachments
Bug 27261: exlude branchcode from PatronSelfRegistrationBorrowerUnwantedField (1.47 KB, patch)
2020-12-17 15:55 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27261: exlude branchcode from PatronSelfRegistrationBorrowerUnwantedField (1.53 KB, patch)
2020-12-30 15:40 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 27261: exlude branchcode from PatronSelfRegistrationBorrowerUnwantedField (1.59 KB, patch)
2021-01-31 14:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-12-17 15:38:44 UTC
If you check branchcode in PatronSelfRegistrationBorrowerUnwantedField and try to submit the self registration form you will get a ISE. 

Bug 22844 simplifies the process of selecting database columns.
Bug 17364 adds the ability to allow exclusions.

We can now easily exclude branchcode from PatronSelfRegistrationBorrowerUnwantedField and probably should do that/
Comment 1 Lucas Gass 2020-12-17 15:55:28 UTC
Created attachment 114483 [details] [review]
Bug 27261: exlude branchcode from PatronSelfRegistrationBorrowerUnwantedField

To test:
1 - Alter PatronSelfRegistrationBorrowerUnwantedFieldand select branchcode
2 - Attempt to self register via the OPAC
3 - Kabloom, internal server error
4 - Apply patche
5 - Alter the preference again
6 - Note that branchcode is unchecked and disabled
7 - Save the pref
8 - Attempt to self register again
9 - It succeeds
Comment 2 Fridolin Somers 2020-12-30 15:39:33 UTC
Great :D

Maybe we need some CSS on excluded fields name, grey color for example.
Comment 3 Fridolin Somers 2020-12-30 15:40:40 UTC
Created attachment 114751 [details] [review]
Bug 27261: exlude branchcode from PatronSelfRegistrationBorrowerUnwantedField

To test:
1 - Alter PatronSelfRegistrationBorrowerUnwantedFieldand select branchcode
2 - Attempt to self register via the OPAC
3 - Kabloom, internal server error
4 - Apply patche
5 - Alter the preference again
6 - Note that branchcode is unchecked and disabled
7 - Save the pref
8 - Attempt to self register again
9 - It succeeds

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 4 Lucas Gass 2020-12-31 15:42:27 UTC
(In reply to Fridolin Somers from comment #2)
> Great :D
> 
> Maybe we need some CSS on excluded fields name, grey color for example.

I agree, I have opened Bug 27321.
Comment 5 Katrin Fischer 2021-01-31 14:30:18 UTC
Created attachment 116117 [details] [review]
Bug 27261: exlude branchcode from PatronSelfRegistrationBorrowerUnwantedField

To test:
1 - Alter PatronSelfRegistrationBorrowerUnwantedFieldand select branchcode
2 - Attempt to self register via the OPAC
3 - Kabloom, internal server error
4 - Apply patche
5 - Alter the preference again
6 - Note that branchcode is unchecked and disabled
7 - Save the pref
8 - Attempt to self register again
9 - It succeeds

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-02-01 16:26:36 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-02-05 15:44:10 UTC
Pushed to 20.11.x for 20.11.03
Comment 8 Andrew Fuerste-Henry 2021-02-09 12:47:29 UTC
Missing dependency, not backported to 20.05